package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_ENCRYPTION_RULE_TABLE"
)
public class TCoreEncryptionRuleTable extends TBaseEntity {
   @Column(
      length = 36,
      name = "projectid"
   )
   private String projectid;
   @Column(
      length = 50
   )
   private String datasystemid;
   @Column(
      length = 100
   )
   private String schemaname;
   @Column(
      length = 100
   )
   private String tablename;
   @Column(
      length = 100
   )
   private String enctype;

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getSchemaname() {
      return this.schemaname;
   }

   public void setSchemaname(String schemaname) {
      this.schemaname = schemaname;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getEnctype() {
      return this.enctype;
   }

   public void setEnctype(String enctype) {
      this.enctype = enctype;
   }
}
